Create a new secret
curl --request POST \
--url https://api.example.com/api/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "STRIPE_API_KEY",
"value": "sk_live_...",
"isReserved": false,
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/secrets"
payload = {
"key": "STRIPE_API_KEY",
"value": "sk_live_...",
"isReserved": False,
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: 'STRIPE_API_KEY',
value: 'sk_live_...',
isReserved: false,
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/api/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Secret STRIPE_API_KEY has been created successfully",
"id": "123e4567-e89b-12d3-a456-426614174000"
}Admin
Create a new secret
Create a new encrypted secret with a unique key
POST
/
api
/
secrets
Create a new secret
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique key identifier (uppercase letters, numbers, underscores only)
Pattern:
^[A-Z0-9_]+$Example:
"STRIPE_API_KEY"
Secret value to be encrypted
Example:
"sk_live_..."
Whether the secret is protected from deletion
Optional expiration date for the secret
⌘I